import Analysis from "./Analysis";
import "./App.css";
import Footer from "./Footer";
import Header from "./Header";
import Rankings from "./Rankings";
import { BrowserRouter, Routes, Route } from "react-router";
import { SessionProvider } from "./Session";
import GraphComponent from "./Network";

function App() {
  return (
    <BrowserRouter>
      <Header />
      <Routes>
        <Route index element={<Rankings />} />
        <Route path="/network" element={
          <SessionProvider>
            <GraphComponent />
          </SessionProvider>
        } />
        <Route path="/analysis" element={
          <SessionProvider>
            <Analysis />
          </SessionProvider>
        } />
      </Routes>
      <Footer />
    </BrowserRouter>
  );
}
export default App;
